<?include('header.php');

$user=text($_SESSION["username"]);
$res0=mysql_query("select valutaname from tb_site where id='1'");
$pv=mysql_fetch_assoc($res0);
$vn=$pv["valutaname"];

$result=mysql_query("select * from tb_config where item='down'");
$myrow=mysql_fetch_assoc($result);
$down=$myrow['price'];

?>
<div class="menucenter">
<?

$result0 = mysql_query("SELECT dow_user_ban FROM seelf_dow_list WHERE username='$user'");
$myrow=mysql_fetch_assoc($result0);

$dow_user_ban=$myrow['dow_user_ban'];

if($myrow["dow_user_ban"]=='3')
{
echo "<div class=error>Предупреждение!<br>
Вы ввели не верный ответ у вас осталось 1 попытка для ввода верного ответа в противном случае вы будите ЗАБЛОКИРОВАНЫ!</div>";
}
if($myrow["dow_user_ban"]=='4')
{
echo "<div class=error>Ваш Аккаунт Заблокирован За Попытку подбора ответа! <br> Для Раз-блокировки Аккаунта Обратитесь к Администрации сайта</div>";
include('footer.php');
exit();
}

?>
<? include('stat_downloads.php'); ?>
<?
if(!isset($_GET["action"]))
{

$sql="select count(*) as kolvo1 from seelf_downloads where kolvo>0";
$res=mysql_query($sql);
$res=mysql_fetch_assoc($res);
$alltask=$res["kolvo1"];

if($alltask=='0')
{
	include('footer.php');
	exit();
}

$pages=$alltask/30;
$pages1=floor($pages);

if($pages>=$pages1)
{
	$pages=$pages1+1;
}

if($_GET["pg"]!="")
{
	$page=$_GET["pg"];
}else{
	$page='1';
}

$p1=30*($page-1);
$p2=30*$page-1;

?>
<? if(!isset($_GET['action']))
{ ?>
<br />
<fieldset class='green'>
<table width=100% border=0>
<td class='value' align='left' >
<font color=#696969><b>Важная информация!</b></font><br>
<b>Оплачиваемые скачивания - </b> это вопрос, ответ на  который требует скачивания файла. <BR>
Пользователь должен будет скачать файл  для правильного ответа на вопрос рекламодателя.<BR>
Для ответа на вопрос  отведена только одна попытка.<BR>
<BR>
<span style="font-size: 12px; color: red; font-weight: bold">
За неправильный ответ доступ к Оплачиваемым скачиваниям будет <b>заблокирован!</b> <BR>
За неправильный ответ со счёта аккаунта будет списано <b><u><?=$down?> <?=$vn?></u>.</b><BR>
За неправильный ответ репутация изменится в <b><u>- 0.10 баллов</u>.</b></span><BR>
<BR>
<span style="font-size: 12px; color: green; font-weight: bold">
За правильный Ответ пользователь получит на счет <b><u><?=$down?> <?=$vn?></u>.</b><BR>
За правильный Ответ пользователь получит репутацию <b><u>+ 0.05 баллов</u>.</b></span><BR>
</td>
</table>
</fieldset>

<BR>
<div id="tables">
<span style="color:#ff0000;"><b>VIP</span> скачивания</b>
<table class='reyt' width='100%' border='0' cellpadding='0' cellspacing='0'>
<thead><tr>
	<th class=top width='5%' align='center'> №</th>
	<th class=top width='60%'>Информация</th>
	<th class=top width='20%' align='center'>Рейтинг</th>
	<th class=top width='15%' align='center'>Всего/Ос.</th>
</tr></thead>
<?

$sql="select * from seelf_downloads where plan>0 and status='1' and kol>0 and vip='1' order by id desc limit 5";
$res=mysql_query($sql);

while($row=mysql_fetch_assoc($res))
{
$result0=mysql_query("select count(id) as kolvos from seelf_downstats where idquest='$row[id]' and status='1'");
      $myrow=mysql_fetch_assoc($result0);
      $url=$res['url'];
      $kolvos=$myrow['kolvos'];
      $plan=$row['plan'];
      $kolvos=$row['plan'] - $kolvos;
      $color = $row['color'];
      $reyt_rek = $row['reyt_rek'];
      $oplata = round($row['kliks'],2);
$results = mysql_query("SELECT count(id) as kolvos FROM seelf_downloads_z WHERE id_task='$row[id]'");
      $myrow0 = mysql_fetch_assoc($results);
 $reyt_r = $row["reyt_rek"];

if($reyt_r >=0){

  $taskstat="<img src=images/rating0.png>";


if($reyt_r >=3){

  $taskstat="<img src=images/rating1.png>";


if($reyt_r >=8){

  $taskstat="<img src=images/rating2.png>";


if($reyt_r >=14){

  $taskstat="<img src=images/rating3.png>";

if($reyt_r >=20){

 $taskstat="<img src=images/rating4.png>";

if($reyt_r >=25){

  $taskstat="<img src=images/rating5.png>";

}}}}
}}
 	echo '<tr>';
    echo '<tr bgcolor="'.$color.'">';
	echo "<td><img src=images/listen.png align=absmiddle></td><td><a href='downloads.php?action=view&id=".$row["id"]."'><span class=desctext3>".$row["name"]."</span></a><br>
	<span class=desctext><font size='1'>Рекламодатель <b>".$row["user"]."</b> - № ".$row["id"]."</span></font><BR>";
    echo "<font size='1'>Комментариев: ".$myrow0['kolvos']."";
    echo " <font size='1'>Рейтинг: ".$row['reyt_rek']."";
    if($row['user']==$user)
	{
	echo" <font size='1'><a href='downloads.php?p=onlymy&action=edit&id=".$row["id"]."'><span class='vip'>пополнение баланса и ред.</span></font><br>";
    }
	echo"</td>
<td align=center class='td2'>Цена: <font color='red'><b>".$oplata."</b></font> руб.<br />".$taskstat."</td>";
	echo"</td><td align=center class='td2'><font color='#00ff00'><b> ".$row['plan']."</font>
    &nbsp;/&nbsp;<font color='#ff0000'>".$kolvos."</font></b><br />Размер: <b>$row[size]</b> МБ</td></tr>";
	?>
	<?
	echo "</td></tr>";
}

echo "</table></div><br>";
?>
<BR>
<div id="tables">
<span style="color:#ff0000;"><b>Standart</span> скачивания</b>
<table class='reyt' width='100%' border='0' cellpadding='0' cellspacing='0'>
<thead><tr>
	<th class=top width='5%' align='center'> №</th>
	<th class=top width='60%'>Информация</th>
	<th class=top width='20%' align='center'>Рейтинг</th>
	<th class=top width='15%'  align='center'>Всего/Ост.</th>
</tr></thead>
<?

$sql="select * from seelf_downloads where plan>0 and status='1' and kol>0 and vip='0' order by id desc limit $p1,$p2";
$res=mysql_query($sql);

while($row=mysql_fetch_assoc($res))
{
      $result0=mysql_query("select count(id) as kolvos from seelf_downstats where idquest='$row[id]' and status='1'");
      $myrow=mysql_fetch_assoc($result0);
      $url=$res['url'];
      $kolvos=$myrow['kolvos'];
      $plan=$row['plan'];
      $kolvos=$row['plan'] - $kolvos;
      $color = $row['color'];
      $reyt_rek = $row['reyt_rek'];
      $oplata = round($row['kliks'],2);
      $results = mysql_query("SELECT count(id) as kolvos FROM seelf_downloads_z WHERE id_task='$row[id]'");
      $myrow0 = mysql_fetch_assoc($results);
      $reyt_r = $row["reyt_rek"];

if($reyt_r >=0){

  $taskstat="<img src=images/rating0.png>";


if($reyt_r >=3){

  $taskstat="<img src=images/rating1.png>";


if($reyt_r >=8){

  $taskstat="<img src=images/rating2.png>";


if($reyt_r >=14){

  $taskstat="<img src=images/rating3.png>";

if($reyt_r >=20){

 $taskstat="<img src=images/rating4.png>";

if($reyt_r >=25){

  $taskstat="<img src=images/rating5.png>";

}}}}}
}

 	echo '<tr>';
    echo '<tr bgcolor="'.$color.'">';
    echo "<td><img src=images/listen.png align=absmiddle></td><td><a href='downloads.php?action=view&id=".$row["id"]."'><span class=desctext3>".$row["name"]."</span></a><br>
	<span class=desctext><font size='1'>Рекламодатель <b>".$row["user"]."</b></font> - № ".$row["id"]."</span><BR>";
    echo "<font size='1'>Комментариев: ".$myrow0['kolvos']."";
    echo " <font size='1'>Рейтинг: ".$row['reyt_rek']."";

    if($row['user']==$user){echo" <font size='1'><a href='downloads.php?p=onlymy&action=edit&id=".$row["id"]."'><span class='vip'>пополнение баланса и ред.</span></font><br>";}

	echo"</td>
<td align=center class='td2'>Цена: <font color='red'><b>".$oplata."</b></font> руб.<br />".$taskstat."</td>";
	echo"</td><td align=center class='td2'><font color='#00ff00'><b> ".$row['plan']."</font>
    &nbsp;/&nbsp;<font color='#ff0000'>".$kolvos."</font></b><br />Размер: <b>$row[size]</b> МБ</td>";

echo "</td></tr>";
}

echo " </table></div><br> ";

for($i=1;$i<=$pages;$i++){
  if($_GET['pg']==$i){
    echo " $i ";
  }else{
    if($_GET['p']=='onlymy'){
      echo "<a href='?p=onlymy&pg=$i'>$i </a>";
    }else{
      echo "<a href='?pg=$i'>$i </a>";
    }
  }

}
 }
}
if($_POST["action"]=="viewok")
{

        echo'<div class="menucenter" style="padding:5px;">';
if(!(isset($_SESSION["username"]) && isset($_SESSION["password"])))
{
	echo"<div class=error>Необходимо авторизоваться!</div>";
      include('footer.php');
	exit();
}
	$idtask=intval($_GET["id"]);
	$answ=intval($_POST["answ"]);

        $res0=mysql_query("select count(*) as kolvos from seelf_downstats where idquest='$idtask'");
	$res0=mysql_fetch_assoc($res0);
        $kolvos=$res0['kolvos'];

	$res=mysql_query("select count(*) as kolvo from seelf_downstats where user='$user' and idquest='$idtask'");
	$res=mysql_fetch_assoc($res);

	$res13=mysql_query("select * from seelf_downloads where id='$idtask'");
	$res13=mysql_fetch_assoc($res13);

	$res03=mysql_query("select count(*) as kolvoz from seelf_downstats where idquest='$idtask' and status='1'");
	$res03=mysql_fetch_assoc($res03);

 if($res03['kolvoz']==$res13['plan'])
 {
 echo "<div class=error>Баланс скачивания пуст!</div>";
 include('footer.php');
 exit();
 }
	if($res["kolvo"]>0)
	{
		echo "<div class=error>Вы уже скачивали этот файл!</div>";
                ?>


               <?
	}else{
		$res=mysql_query("select * from seelf_downloads where id='$idtask'");
		$res=mysql_fetch_assoc($res);
        $right=$res['verno'];
        $kliks = $res["kliks"];
        $userrek = $res["user"];

		$result=mysql_query("select * from tb_config where item='down'");
		$myrow=mysql_fetch_assoc($result);
		$amount=$kliks;
        $plan=$res['plan'];

        $res=mysql_query("select purse, valutaname from tb_site where id='1'");
        $pv=mysql_fetch_assoc($res);
        $vn=$pv["valutaname"];

		if(!$res)
		{
			echo "<div class=error>Скачивания не существует!</div>";
		}else{
                  if($answ==$right)
                  {
			mysql_query("insert into seelf_downstats (idquest,answ,user,status) values ('$idtask','$answ','$user','1')");

require('karera/setup_status.php');

$referer = mysql_query("SELECT * FROM `tb_users` WHERE `username` = '$user'");
$refer = mysql_fetch_assoc($referer);

if($refer["referer"] != ""){

  $referer1 = mysql_query("SELECT * FROM `tb_users` WHERE `username` = '".$refer["referer"]."'");
  $refer1 = mysql_fetch_assoc($referer1);

  $doxod_ref1 = $amount * ($st_users[$refer1["ball_status"]]["dox_ref_down"]/100);

  mysql_query("UPDATE tb_users
  SET `m_dw_ref` = `m_dw_ref` + '$doxod_ref1', `money` = `money` + '$doxod_ref1'
  WHERE username='".$refer["referer"]."'");

  if($refer1["referer"] != ""){

    $referer2 = mysql_query("SELECT * FROM `tb_users` WHERE `username` = '".$refer1["referer"]."'");
	$refer2 = mysql_fetch_assoc($referer2);

	$doxod_ref2 = $amount * ($st_users[$refer2["ball_status"]]["dox_ref2_down"]/100);

    mysql_query("UPDATE `tb_users`
    SET `m_dw_ref2` = `m_dw_ref2` + '$doxod_ref2', `money` = `money` + '$doxod_ref2'
    WHERE `username` = '".$refer1["referer"]."'");

  }

  mysql_query("update tb_users set doxod=doxod+$doxod_ref1+$doxod_ref2 where username='$user'");

}

			        $nowtime=time();
                    mysql_query("update tb_users set money=money+'$amount', reyt_user=reyt_user+0.05, dow_user=dow_user+1 where username='$user'");
                    mysql_query("update tb_users set reyt_rek=reyt_rek+1 where username='$userrek'");
                    mysql_query("update seelf_downloads set kol=kol-1 where id='$idtask'");
                    $res13=mysql_query("select count(*) as kolvoz from seelf_downstats where idquest='$idtask' and status='1'");
	            $res13=mysql_fetch_assoc($res13);
                    $ostpl=$res13['kolvoz'];
                    if($plan==$ostpl+1){
                      mysql_query("delete from seelf_downloads where id='$idtask'");
                    }

	  		        echo "<div class=good>Ответ верный! На баланс зачислено ".$amount." ".$vn." +0.05 Репутация</div>";

                  }else{
                    mysql_query("insert into seelf_downstats (idquest,answ,user,status) values ('$idtask','$answ','$user','0')");
                    mysql_query("update tb_users set money=money-$amount where username='$user'");
                    mysql_query("update tb_users set reyt_user=reyt_user-0.10 where username='$user'");
                    mysql_query("update tb_users set dow_user=dow_user-1 where username='$user'");
                    mysql_query("insert into seelf_dow_list (id,dow_user_ban,username) values ('$id','2','$user')");
                    mysql_query("update seelf_dow_list set dow_user_ban=dow_user_ban+0.50 where username='$user'");

 			        echo "<div class=error>Ответ не верный! С баланса снято ".$amount." ".$vn." -0.10 Репутация!</div>";
                  }
		}
	}
echo'</div>';
}

if($_GET["action"]=='view'){
	$id=intval($_GET["id"]);

	$checkid = mysql_query("SELECT id FROM seelf_downloads WHERE id='$id' AND kol>0");
	$id_exist = mysql_num_rows($checkid);
    if ($id_exist<1){echo '<div class=error>Ошибка такого скачивания нет!</div>';include('footer.php');exit();}

	$res=mysql_query("select * from seelf_downloads where id='$id'");
	$res=mysql_fetch_assoc($res);
	$kliks = $res["kliks"];

	$result0=mysql_query("select count(id) as kolvos from seelf_downstats where idquest='$id' and status='1'");
    $myrow=mysql_fetch_assoc($result0);
    $url=$res['url'];
    $userrek=$res['user'];
    $reyt_rek=$res['reyt_rek'];
    $kolvos=$myrow['kolvos'];
    $kolvos=$res['plan'] - $kolvos;

    $sql123=mysql_query("SELECT * FROM tb_users WHERE username='$userrek'");
    $vivod123=mysql_fetch_assoc($sql123);
    $avarek=$vivod123["avatar"];

    $results = mysql_query("SELECT count(id) as kolvos FROM seelf_downloads_z WHERE id_task='$id' and status=\"<font color='green'>Положительный</font>\"");
    $myrow0 = mysql_fetch_assoc($results);

    $results2 = mysql_query("SELECT count(id) as kolvos2 FROM seelf_downloads_z WHERE id_task='$id' and status=\"<font color='red'>Отрицательный</font>\"");
    $myrow1 = mysql_fetch_assoc($results2);

$res321=mysql_query("select count(*) as kolvo from seelf_downstats where user='$user' and idquest='$id'");
$res321=mysql_fetch_assoc($res321);
if($res321["kolvo"]>0){  echo "<div class='menucenter' style='padding:5px;'><center><font color='red'><b>Вы уже скачивали этот файл!</b></font></center></div>"; }

?>
<div class='menucenter'>
<div class="name" style='margin-bottom:3px;'><b>Информация о рекламодателе</b></div>
<table class='reyt' width='100%' border='0' cellpadding='0' cellspacing='0'>
<tr>
<td align="center" rowspan="4" width="80px">
<div align='center' style='background: url(../images/avbg.png) no-repeat; padding: 2px 0px 0px 0px; width: 78px; height:78px;'>
<img src="avp/<?=$avarek;?>" class='avatar' width='62px' height='62px' title='Нажми для увеличения картинки'><br />
<div style='padding-top:4px;'>
<b><font color='red'><?=round($vivod123['ball'],2);?> балл.</font></b>
</div>
</div></td>
<td class='value' align='left' width='30%'><b><u>ID: </b></td>
<td class='value' align='left' ><?=$id?></u></td>
</tr>
<tr>
<td class='value' align='left' width='30%'><b>Рекламодатель: </b></td>
<td class='value' align='left' ><a class='tsk-mail' href="mailnew.php?name=<?=$res["user"]?>"></a><span class="desctext5"><font color='green'><?=$res["user"]?></font></span></td>
</tr>
<tr>
<td class='value' align='left' >Оплата за выполнение</td>
<td class='value' align='left' ><font color='green'><?=$kliks?> руб.</font></td>
</tr>
<tr>
<td class='value' align='left'><span class="desctext6">Заказано: <font color=green><?=$res['plan'];?></font><span class="desctext6"></td>
<td class='value' align='left'><span class="desctext6">Осталось: <font color=red><?=$kolvos;?></font></span></td>
</tr>
</table>
</div>
<div class="menucenter">
<div class="name">Описание:</div>
<?=$res["text"]?>
</div>
<div class="menucenter">
<div class="name">Начать выполнение</div>
<table width='100%' cellpadding='0' cellspacing='0' style='padding:5px;'>
<tr>
<td class='value' align='left' ><b>Рейтинг: </b><b><font color='red'><?=$res["reyt_rek"]?></font></b></td>
<td class='value' align='left' ><a href='<?=$url ?>' target='_blank'><img src='images/Download.gif' border='0' width='100' height='30' title='Ссылка на файл !'></a></td>
</tr>
</table>
</div>
<?
if(isset($_SESSION["username"]) && isset($_SESSION["password"]))
{
?>
<div class="menucenter">
<div class="name">Выберите правильный: </div>
<table width='100%'>
<tr>
<td width='75%'>
      <form action="" method="POST">
     <?=$res["verinfo"]?><span class="desctext6">
	  <?
      echo "<input type='radio' name='answ' value='1'>";
      echo $res['var1'];

      echo "<br><input type='radio' name='answ' value='2'>";
      echo $res['var2'];

      echo "<br><input type='radio' name='answ' value='3'>";
      echo $res['var3'];

      echo "<br><input type='radio' name='answ' value='4'>";
      echo $res['var4'];

      echo "<br><input type='radio' name='answ' value='5'>";
      echo $res['var5'];
      ?></span></td>
<td width='25%'>
<input type=submit class='ok_wm' value="Ответить">
</td>
</tr>
</table>
</div>
<? } ?>
	<input type=hidden value="<?=$id?>" name="id">
	<input type=hidden value="viewok" name="action">
	</form>
<?
$num = 10;
$upag = "downloads.php?action=view&id=".$id."&";
$page = (isset($_GET['n']))? intval($_GET['n']) : 1 ;
$numpag = mysql_num_rows(mysql_query("SELECT `id` FROM `seelf_downloads_z` WHERE id_task='$id'"));
$np =$numpag;
$obpag = intval(($np - 1) / $num) + 1;
if(empty($page) or $page < 0) $page = 1;
if($page > $obpag) $page = $obpag;
$nach = $page * $num - $num;

$result0="SELECT * from seelf_downloads_z WHERE id_task='$id' order by id desc LIMIT $nach, $num";
$myrow1=mysql_query($result0) or die(mysql_error());
?>
<fieldset class='green'><?include("navi.php");?></fieldset>
<?
while ($myrow=mysql_fetch_assoc($myrow1))
{
$login=$myrow["login"];
$sqlz=mysql_query("SELECT * FROM tb_users WHERE username='$login'");
$vivod=mysql_fetch_assoc($sqlz);
$avabla=$vivod["avatar"];
$myrow0['kolvos'] = $kolvos;
?>
<table align='center' width='100%' border='0' cellpadding='0' cellspacing='0'  style=padding-top:10px;'>
<thead style='background:#f5f5b5;'>
<tr>
<td colspan='4' align='left' style='font:11px Tahoma; border-bottom:solid 1px #F2C0A6; border-top:solid 1px #F2C0A6; padding:4px; padding-left:15px;'>
Пользователь:&nbsp;<font color='red'><? echo $myrow['login'];?></font></td>
<td align='right' style='font:11px Tahoma; border-bottom:solid 1px #F2C0A6; border-top:solid 1px #F2C0A6; padding:4px; padding-left:15px;'>
&nbsp;<? echo $myrow['date'];?></td>
</tr>
          </thead>
<td width='80px' valign='top' style='padding:5px;'>
<a href='avp/$avabla' onclick='return hs.expand(this)'>
<div align='center' style='background: url(../images/avbg.png) no-repeat; padding: 2px 0px 0px 0px; width: 78px; height:78px;'>
<a href='wall.php?user=<? echo $myrow['login']; ?>'><img src='avp/<?=$avabla;?>' a class='avatar' width='62px' height='62px' title='Перейти на стену пользователя'></a>
<div>
</a><b>
</td>
<td align='left' valign='top' colspan='3' style='padding:5px;'><br />
                <? echo $myrow['text'];?>
<div style='padding-top:20px; color:green; font: 12px Arial, Verdana, sans-serif, Tahoma;font-style: italic;font-weight: bold;'>
Оценка:&nbsp;<? echo $myrow['status'];?>
</div>
</td>
<td></td>
</table>
<?

}
setlocale(LC_ALL, 'rus_RUS');
$data = strftime("%d %B, %Y г.", time());
?><br>
<?
if(isset($_SESSION["username"]) && isset($_SESSION["password"]))
{
?>
<?
$user=text($_SESSION["username"]);
$sql=mysql_query("SELECT * FROM seelf_downloads_z WHERE id_task='$id' and login='$user'");
if(mysql_num_rows($sql)==0)
{
?><script type="text/javascript" language="JavaScript">
function LoginClick() {
document.getElementById('logfrm').style.display = '';
document.getElementById('logbtn').style.display = 'none';
}
</script>
<form name="mailform" action="" id="logbtn" class="btnlogin" href="#login" >
<center><input type=submit class="ok_wm" onClick="javascript:LoginClick(); return false;" value="Оставить отзыв"></center>
</form>
</center><br />
<div id="logfrm" class="formlogin" style="display: none;">
<?
include("copilca/css.php");
include'form_dow.php'; ?>
</div>
<? } ?>
<? } ?>
<fieldset id =dopolnenie>
<legend>
   <font color=#696969><b>Важно!</b></font></legend>
<table width=100% border=0>
<td align=justify>
* - Запрещено размещение в комментариях информации, полученной при выполнении задания. Например, ссылки, по которым были совершены переходы, ответы, пароли и т.п. Также, запрещено размещение комментариев оскорбительного характера, нецензурных высказываний и т.п. Аккаунты пользователей, нарушающих данные условия, будут оштрафованы/заблокированы администрацией проекта!
</table>
</fieldset>

<?
}
if($_GET["action"]=="edit")
{   include('still_plag/down_gues/download.php');
	$id=intval($_GET["id"]);


	$res=mysql_query("select * from seelf_downloads where id='$id'");
	$res=mysql_fetch_assoc($res);

     if($res['user']!=$user){
      echo "<div class=error>Вы не являетесь автором скачивания!Редактирование не возможно!</div>";
       include('footer.php');
       exit();
     }
     require_once('bbcode.php');
?>
<script language=javascript>
var procent = <?=$down_con["procent"]?>;
var kliks = <?=$res["kliks"]?>;

var celoe;var drob;var res;
function okrugl(nums){celoe=Math.floor(nums);drob=(nums-celoe)*100;drob=Math.round(drob);if(drob>=10){res=celoe+'.'+drob;}else{res=celoe+'.0'+drob;}return res;}

function zakaz_down(input){

    summa_o = kliks*input.dow_plan.value;
    summa_p = summa_o*procent/100;
    summa = summa_o+summa_p;
    document.getElementById('summ').innerHTML = okrugl(summa)+' руб.';

}
</script>

   <font color=#696969><legend><b>Редактирования скачивания  <b>№: </b><?=$id?></b>
<table width=100% border=0>
<td align=justify>
	<form id="comment" method="POST" action=''>
<table class='reyt' width='100%' border='0' cellpadding='0' cellspacing='0'>
<thead><tr>
<th>Параметр</th>
<th>Значение параметра</th>
</tr></thead>
	<td class='value'><b>Название: </b></td>
<td class='value'><input type=text value="<?=$res["name"]?>" name="title" size=30 maxlength=50></td></tr><tr>

<td class='value' colspan="2"><b>Описание: </b></td>

<script type="text/javascript" src="js/bbcod.js"></script>
<tr>

<td align="left" border:1px solid #c0c0c0;">
<span class="btn-bold" title="Выделить жирным" value=" B " onclick="insert_comm('[b]','[/b]')" type="button"></span>
<span  class="btn-italic" title="Выделить курсивом" value=" I " onclick="insert_comm('[i]','[/i]')" type="button"></span>
<span  class="btn-uline" title="Выделить подчёркиванием" value=" U " onclick="insert_comm('[u]','[/u]')" type="button"></span>
</td>
<td align="right" border:1px solid #c0c0c0;">
<input style="background: url('copilca/smile/1.gif');border:0;height: 18px;width:18px;" onclick="insert_comm('',':-_')" type="button">
<input style="background: url('copilca/smile/2.gif');border:0;height: 23px;width:26px;" onclick="insert_comm('',':-8')" type="button">
<input style="background: url('copilca/smile/3.gif');border:0;height: 22px;width:24px;" onclick="insert_comm('',':-(')" type="button">
<input style="background: url('copilca/smile/4.gif');border:0;height: 25px;width:25px;" onclick="insert_comm('',':~)')" type="button">
<input style="background: url('copilca/smile/5.gif');border:0;height: 20px;width:20px;" onclick="insert_comm('',':-9')" type="button">
<input style="background: url('copilca/smile/6.gif');border:0;height: 27px;width:20px;" onclick="insert_comm('','8-)')" type="button">
<input style="background: url('copilca/smile/7.gif');border:0;height: 20px;width:20px;" onclick="insert_comm('','9-)')" type="button">
<input style="background: url('copilca/smile/8.gif');border:0;height: 22px;width:31px;" onclick="insert_comm('','10-)')" type="button">
<input style="background: url('copilca/smile/9.gif');border:0;height: 24px;width:31px;" onclick="insert_comm('','11-)')" type="button">
<input style="background: url('copilca/smile/10.gif');border:0;height: 27px;width:47px;" onclick="insert_comm('','12-)')" type="button">
<input style="background: url('copilca/smile/11.gif');border:0;height: 23px;width:26px;" onclick="insert_comm('','13-)')" type="button">
</td>
<tr>
<td align="center" colspan="2">
<textarea id="comess" name="text" rows=0 class="comtextur" style="height: 100px; width: 550px;" maxlength="500" value=""><?=bbb($res["text"])?></textarea>
</td>
</tr>

<td class='value'><b>Ссылка на Файл: </b></td>
<td class='value'><input type=text value="<?=$res["url"]?>" name="starturl" size=50 maxlength=150></td></tr><tr>

<td class='value'><b>Размер файла (МБ): </b></td>
<td class='value'><input type=text value="<?=$res["size"]?>" name="size" size=7 maxlength=15></td></tr><tr>

<td class='value'><b>Введите 5 вариантов ответа,один из которых должен быть правельным: </b></td>
<td class='value'><b>1.</b><input type=text value="<?=$res["var1"]?>" name="var1" size=30 maxlength=255><br><br>
	<b>2.</b><input type=text value="<?=$res["var2"]?>" name="var2" size=30 maxlength=255><br><br>
	<b>3.</b><input type=text value="<?=$res["var3"]?>" name="var3" size=30 maxlength=255><br><br>
	<b>4.</b><input type=text value="<?=$res["var4"] ?> " name="var4" size=30 maxlength=255><br><br>
	<b>5.</b><input type=text value="<?=$res["var5"]?>" name="var5" size=30 maxlength=255><br><br></td></tr><tr>

   <td class='value'> <b>Номер правельного варианта ответа: </b></td>
<td class='value'><input type=text value="<?=$res["verno"]?>" name="verno" size=3 maxlength=1></td></tr><tr>

<td class='value'> <b>Добавить скачиваний: </b></td>
<td class='value'><input type=text value="0" onkeyup="zakaz_down(this.form)" name="dow_plan" size=3 maxlength=4> <span id="summ">0.00 руб.</span></td></tr><tr>

<td class='value'><b>Статус в скачивания:</b></td>
<td class='value'><?
      if($res["status"]=='0') { $s_act = "Не активирован"; }else{ $s_act = "Активирован"; }
      ?>
    <select name="status">
    <option value="<?=$res["status"]?>"><?=$s_act?></option>
    <option value="0">Не активирован</option>
    <option value="1">Активирован</option>
    </select>
      </td></tr><tr>
<td class='value'></td><td class='value'>
	<input type=submit class=ok_wm value="Сохранить">
	<input type=hidden value="<?=$id?>" name="id">
	<input type=hidden value="editok" name="action">
	</form>
	<form action='' method=post>
	<input type=hidden value="<?=$id?>" name="id">
	</form></td></tr></table>
	</table>
<?
}
if($_POST["action"]=="editok")
{   include('still_plag/down_gues/download.php');
	$id=intval($_POST["id"]);
	$name=text($_POST["title"]);
	$surl=text($_POST["starturl"]);
	$var1=text($_POST["var1"]);
	$var2=text($_POST["var2"]);
	$var3=text($_POST["var3"]);
	$var4=text($_POST["var4"]);
	$var5=text($_POST["var5"]);
	$verno=intval($_POST["verno"]);
	$size=text($_POST["size"]);
	$status=intval($_POST["status"]);
	$dow_plan=intval($_POST["dow_plan"]);

    require_once('bbcode.php');
    $text = bbcod($_POST["text"], true, true);

    $res=mysql_query("select * from seelf_downloads where id='$id'");
    $res=mysql_fetch_assoc($res);

     if($res['user']!=$user){echo "<div class=error>Вы не являетесь автором скачивания!Редактирование не возможно!</div>";include('footer.php');exit;}
      if(!is_numeric($verno)){echo "<div class=error>Ошибка! Неправельно заполнены поля!</div>";include('footer.php');exit;}
      if(!is_numeric($size)){echo "<div class=error>Ошибка! Неправельно заполнены поля!</div>";include('footer.php');exit;}

      if($dow_plan != 0){
        if($dow_plan < 0){
          echo '<div class="error">Число скачиваний не должно быть менее 0</div>';
		  include('footer.php');
		  exit;
        }
        $summa_o = ($res["kliks"] * $dow_plan) + ($res["kliks"] * $dow_plan * $down_con["procent"]/100);
		$summa = round($summa_o,3);

		$sql_user = mysql_query("SELECT money_cr FROM tb_users WHERE username='$user'");
		$row_user = mysql_fetch_assoc($sql_user);

		if($row_user["money_cr"] < $summa){
		  echo '<div class="error">Ошибка! На вашем счету не достаточно средств.<br /><a href="moneytoacc.php">Пополнить баланс &gt;&gt;</a></div>';
		  include('footer.php');
		  exit;
		}

      }else{
        $summa = 0;

      }

	  if($verno!='1' and $verno!='2' and $verno!='3' and $verno!='4' and $verno!='5'){
	    echo "<div class=error>Ошибка! Номер правельного ответа должен быть от 1 до 5!</div>";
	  }else{

        if(empty($name) or empty($text) or empty($surl) or empty($verno) or empty($var1) or empty($var2) or empty($var3) or empty($var4) or empty($var5) or empty($size)){
            echo "<div class=error>Заполнены не все поля!</div>";
            include('footer.php');
            exit();
		}else{

		  $datenorm = DATE("d.m.Yг. в H:i");

          mysql_query("UPDATE seelf_downloads SET name='$name',text='$text', plan=plan+'$dow_plan', url='$surl', var1='$var1', var2='$var2', var3='$var3', var4='$var4', var5='$var5', verno='$verno', size='$size', status='$status' where id='$id'");

          if($summa != 0){
            mysql_query("UPDATE tb_users SET money_cr=money_cr-'$summa'  WHERE username='$user'");
            mysql_query("INSERT INTO tb_zakazu (user, date, amount, method, status, tipo) VALUES('$user', '$datenorm', '$summa', 'Пополнение скачивания - $plan шт.', 'Оплачено', 'reklama')");
          }

          echo "<div class=good>Изменения сохранены</b></div><meta http-equiv='Refresh' content='1; URL=downloads.php'>";
        }
      }

}
include('footer.php'); ?>